import numpy as np
import matplotlib.pyplot as plt
t = np.linspace(0, 10 * np.pi, 500)

r = 3.
R = 10.0
k = r/R
l = 1.7

x = R*((1-k)*np.cos(t) + l*k*np.cos((1-k)*t/k))
y = R*((1-k)*np.sin(t) - l*k*np.sin((1-k)*t/k))

plt.plot(x,y)
plt.show()
