#Example fourier_sawtooth.py

import numpy as np
import matplotlib.pyplot as plt 

N = 100    # number of points
x = np.linspace(-np.pi, np.pi, N)
y = np.zeros(N)

for n in range(1,10): 
    term = (-1)**(n+1) * np.sin(n*x) / n
    y = y + term
plt.plot(x,y)
plt.show()
